<template>
	<div class="view">
		<div v-for="game in games" :key="game.number" class="card">
			<h3>{{ game.name }}</h3>
			<div v-for="rank in game.points">
				<h5>
					Platz {{ rank.place }}<span>{{ rank.points }} Punkte</span>
				</h5>
				<p>
					<span v-for="(team, i) in rank.teams">
						<span v-if="rank.teams.length - 2 > i">
							Team {{ team }},
						</span>
						<span v-if="rank.teams.length - 2 === i">
							Team {{ team }} &
						</span>
						<span v-if="rank.teams.length - 1 === i">
							Team {{ team }}
						</span>
					</span>
				</p>
			</div>
		</div>
		<div class="card">
			<h3>Total</h3>
			<div v-for="team in teamPoints">
				<h5>Team {{ team.team }}</h5>
				<p>{{ team.points }} Punkte</p>
			</div>
		</div>
	</div>
</template>

<script>
export default {
	name: "Points",
	props: ["teams", "games"],
	computed: {
		teamPoints() {
			let teamPoints = [];
			this.teams.forEach(team => {
				teamPoints.push({
					points: 0,
					team: team.number
				});
				this.games.forEach(game => {
					game.points.forEach(point => {
						if (point.teams.includes(team.number)) {
							teamPoints.find(
								t => t.team === team.number
							).points += point.points;
						}
					});
				});
			});
			return teamPoints.sort((a, b) => b.points - a.points);
		}
	}
};
</script>

<style lang="scss" scoped>
.view {
	width: 100%;
	max-height: 100vh;
	overflow: auto;
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
	grid-auto-rows: min-content;
	padding: 40px;
}
.card {
	background: rgba(243, 44, 44, 0.8);
	text-align: left;
	padding: 20px;
	z-index: 10;
	margin: 10px;
	position: relative;
	overflow: hidden;
	&::after {
		content: "";
		position: absolute;
		bottom: -30px;
		right: -30px;
		height: 60px;
		width: 60px;
		transform: rotate(45deg);
		background-color: #242424;
	}
	h3 {
		font-weight: bold;
		font-size: 32px;
		text-align: left;
	}
	h5 {
		font-size: 22px;
		margin: 1.5rem 0 0;
		span {
			font-size: 14px;
			margin: 0 4px;
		}
	}
	p {
		font-size: 18px;
	}
}
</style>
